Subject: Re: bug#21260: 23.2; Devanagari windows 10

From: Jim Funderburk <[email-masked]>
Date: Tue, 18 Aug 2015 15:52:23 -0400

Eli - Just a note as to why I prefer the old Emacs 23 version.
    Somewhere in the evolution to version 24, Emacs dropped a small feature
    that I find important for productivity.  Namely, in Emacs23, when you
    select text with the mouse (by double clicking a word, triple 
clicking a line,
    or dragging ),  the selected text automatically goes into the system 
clipboard
    and you can immediately paste elsewhere in some Emacs buffer or into 
some
    other application.   By contrast, for Emacs 24, you have to further 
click the 'copy'
    button (or some keyboard equivalent).    In some of my work flows, I 
do a lot
    (several hundred) such operations,  and the time involved for the 
extra step
   in Emacs 24 is significant.

    However, I appreciate the tip regarding bidirectional text support 
in Emacs 24,
    as I have noticed that Emacs 23 does not handle Arabic properly.

  Jim

On 8/18/2015 3:40 PM, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Jim Funderburk <[email-masked]>
>> Date: Tue, 18 Aug 2015 15:23:05 -0400
>>
>>     I tried both 'set-fontset-font'  suggestions -- and both worked!
>>     I could not tell any difference between the two solutions.
> The first one is preferable because it is not specific to the Nirmala
> UI font.  It allows any font that declares support for Devanagari via
> the "dev2" OTF tag to be used by Emacs.
>
>>     Also, I put the first option in c:\.emacs file, per your suggestion.
>>     Now, the sample devanagari file opens properly when I use Emacs in
>>     the usual way (i.e., without -Q).
>>
>>     As far as I can see at the moment,  the problem is satisfactorily
>>     solved.
> OK, thanks for testing.  The equivalent of the first call to
> set-fontset-font is already in the Emacs development sources -- I have
> discovered this issue (with other scripts) while looking at the
> related code that's involved in your use case, and fixed it yesterday.
>
> I also have a few more improvements and bugfixes for minor problems I
> discovered in the related parts of Uniscribe support, which I will
> commit soon, before I mark this bug done.
>
>>     Thank you for working through the options with me and finding
>>      a good solution.
> Thanks for helping me debug this.
>
> Btw, I suggest to upgrade to the latest Emacs 24.5, as the version you
> were using is quite old, in particular with respect to display of
> complex scripts.  For example, Emacs 24 support reordering of
> bidirectional text per the Unicode Bidirectional Algorithm.
>